package com.altimetrik.playground.innovation.bean;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

/**
 * The Class Principal.
 *
 * @author Senthilkumar Duraisamy
 */
@JsonInclude(Include.NON_NULL)
public class Principal implements Serializable {
	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = -1364484672867322008L;

	/** The user id. */
	private String userId;

	/** The user name. */
	private String userName;

	/** The default realm. */
	private String realm;

	/** The default roles. */
	private String roles;

	/** The authenticated. */
	private Boolean authenticated;

	/** The first name. */
	private String firstName;

	/** The last name. */
	private String lastName;

	/** The user info mstr id. */
	private String userInfoMstrId;

	public String getUserInfoMstrId() {
		return userInfoMstrId;
	}

	public void setUserInfoMstrId(String userInfoMstrId) {
		this.userInfoMstrId = userInfoMstrId;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	/**
	 * Gets the user id.
	 *
	 * @return the user id
	 */
	public String getUserId() {
		return userId;
	}

	/**
	 * Sets the user id.
	 *
	 * @param userId the new user id
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	/**
	 * Gets the realm.
	 *
	 * @return the realm
	 */
	public String getRealm() {
		return realm;
	}

	/**
	 * Sets the realm.
	 *
	 * @param realm the new realm
	 */
	public void setRealm(String realm) {
		this.realm = realm;
	}

	/**
	 * Gets the roles.
	 *
	 * @return the roles
	 */
	public String getRoles() {
		return roles;
	}

	/**
	 * Sets the roles.
	 *
	 * @param roles the new roles
	 */
	public void setRoles(String roles) {
		this.roles = roles;
	}

	/**
	 * Gets the authenticated.
	 *
	 * @return the authenticated
	 */
	public Boolean getAuthenticated() {
		return authenticated;
	}

	/**
	 * Sets the authenticated.
	 *
	 * @param authenticated the new authenticated
	 */
	public void setAuthenticated(Boolean authenticated) {
		this.authenticated = authenticated;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("Principal [userId=");
		builder.append(userId);
		builder.append(", userName=");
		builder.append(userName);
		builder.append(", realm=");
		builder.append(realm);
		builder.append(", roles=");
		builder.append(roles);
		builder.append(", authenticated=");
		builder.append(authenticated);
		builder.append(", firstName=");
		builder.append(firstName);
		builder.append(", lastName=");
		builder.append(lastName);
		builder.append(", userInfoMstrId=");
		builder.append(userInfoMstrId);
		builder.append("]");
		return builder.toString();
	}
}
