/**
 * Copyright (C) Altimetrik 2018. All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 */

package com.altimetrik.playground.innovation.security;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.domain.AuditorAware;
import org.springframework.data.mongodb.config.EnableMongoAuditing;

/**
 * The Class AuditorAwareConfig.
 * @author Altimetrik CodeGen
 */
@Configuration
@EnableMongoAuditing(auditorAwareRef = "auditorAware")
public class AuditorAwareConfig {

	/**
	 * Auditor aware.
	 *
	 * @return the auditor aware
	 */
	@Bean
	public AuditorAware<String> auditorAware() {
		return new SpringSecurityAuditorAware();
	}

}
